#!/bin/bash
# addimage.sh slozka
####################
# vezme obrazek folder.jpg ve slozce a pokud neni v prvnim mp3 ulozeny,
# ulozi ho do vsech mp3 ve slozce. ID3 se prevadi do verze 2.4

if [ -d "$1" ] && [ -f "$1"/folder.jpg ]; then
	mp3=`ls "$1" | grep -e '.mp3$' | head -1`
	if [ -n "$1/$mp3" ]; then
		eyeD3 "$1/$mp3" | grep -e 'FRONT_COVER' > /dev/null
		if [ "$?" == 1 ]; then
			eyeD3 --to-v2.4 --add-image="$1"/folder.jpg:FRONT_COVER "$1"/*.mp3 &> /dev/null
			echo "Obrazek zapsan do mp3 tagu v $1"
		fi
	fi
else
	echo "Argument neni slozka obsahujici folder.jpg"
fi
